<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Evaluate extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'comment',
        'evaluate_average',
//        'evaluate_details',
        'user_id',
        'hotel_id',
        'hotel_reservation_id',
        'umrah_trip_id',
        'umrah_trip_reservation_id',
        'status'
    ];

//    protected $casts = ['evaluate_details' => 'array'];


    public function hotel()
    {
        return $this->belongsTo(Hotel::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }

}
